package examples.hamster;

import org.roboid.hamster.Hamster;
import org.roboid.runtime.Runner;

public class Example07_Sensor {
	public static void main(String[] args) {

		Hamster hamster = new Hamster();

		for(int i = 0; i < 500; ++i) { // 10 seconds
			System.out.println("Signal Strength: " + hamster.signalStrength());
			System.out.println("Proximity: " + hamster.leftProximity() + ", " + hamster.rightProximity());
			System.out.println("Floor: " + hamster.leftFloor() + ", " + hamster.rightFloor());
			System.out.println("Acceleration: " + hamster.accelerationX() + ", " + hamster.accelerationY() + ", " + hamster.accelerationZ());
			System.out.println("Light: " + hamster.light());
			System.out.println("Temperature: " + hamster.temperature());
			System.out.println("Input: " + hamster.inputA() + ", " + hamster.inputB());
			System.out.println("");

			Runner.wait(20); // 20 msec
		}
	}
}
