package examples.hamster;

import org.roboid.hamster.Hamster;
import org.roboid.runtime.Runner;

// This example requires a Hamster's extension kit
public class Example15_Extension_Button {
	public static void main(String[] args) {

		Hamster hamster = new Hamster();

		// set a port B to the digital input mode
		hamster.ioModeB(Hamster.IO_MODE_DIGITAL_INPUT);

		for(int i = 0; i < 500; ++i) { // 10 seconds
			if(hamster.inputB() == 0) {
				hamster.buzzer(1000);
			} else {
				hamster.buzzer(0);
			}
			Runner.wait(20); // 20 msec
		}
	}
}
