package examples.hamster;

import org.roboid.hamster.Hamster;
import org.roboid.runtime.Runner;

// This example requires a Hamster's extension kit
public class Example17_Extension_Potentiometer {
	public static void main(String[] args) {

		Hamster hamster = new Hamster();

		// set a port A to the analog input mode
		hamster.ioModeA(Hamster.IO_MODE_ANALOG_INPUT);

		int potentiometer;
		for(int i = 0; i < 500; ++i) { // 10 seconds
			potentiometer = hamster.inputA();
			hamster.buzzer(potentiometer);
			Runner.wait(20); // 20 msec
		}
	}
}
