package examples.hamster;

import org.roboid.hamster.Hamster;
import org.roboid.runtime.Runner;

// This example requires a Hamster's extension kit
public class Example18_Extension_SmoothLed {
	public static void main(String[] args) {

		Hamster hamster = new Hamster();

		// set a port A to the PWM output mode
		hamster.ioModeA(Hamster.IO_MODE_PWM_OUTPUT);

		for(int i = 0; i < 3; ++i) {
			// turn on
			for(int j = 0; j <= 255; j += 5) {
				hamster.outputA(j);
				Runner.wait(20); // 20 msec
			}

			// turn off
			for(int j = 255; j >= 0; j -= 5) {
				hamster.outputA(j);
				Runner.wait(20); // 20 msec
			}
		}
	}
}
