package examples.hamster;

import org.roboid.hamster.Hamster;
import org.roboid.runtime.Runner;

public class Example13_HandDetector {
	public static void main(String[] args) {

		Hamster hamster = new Hamster();

		// wait while the value of the left proximity is less than 50
		while(hamster.leftProximity() < 50) {
			Runner.wait(10); // 10 msec
		}

		hamster.beep(); // beep

		hamster.wheels(-50, -50); // move backward
		Runner.wait(500); // 0.5 seconds

		hamster.stop(); // stop
	}
}
