package examples.hamster;

import org.roboid.hamster.Hamster;
import org.roboid.runtime.Condition;
import org.roboid.runtime.Runner;

public class Example26_Advanced_HandDetector {
	public static void main(String[] args) {

		final Hamster hamster = new Hamster();

		// wait until the value of the left proximity is greater than 50
		Runner.waitUntil(new Condition() {
			@Override
			public boolean evaluate() {
				return hamster.leftProximity() > 50;
			}
		});

		hamster.beep(); // beep

		hamster.wheels(-50, -50); // move backward
		Runner.wait(500); // 0.5 seconds

		hamster.stop(); // stop
	}
}
